# Get Permission Taxonomy

The functionality has been built into the V3 Campaign Management API docs which can be found here: [https://apidocs.mediamath.com/apis/campaigns-api/openapi](https://apidocs.mediamath.com/apis/campaigns-api/openapi)
With a taxonomy ID (obtained by creating a new taxonomy), you can retrieve the taxonomy to review permissions and audience segment details.

Endpoint: GET /audience_segments/{taxonomy_id}
Version: 2.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2

## Path parameters:

  - `taxonomy_id` (string, required)
    taxonomy_id

## Response 200 fields (application/json):

  - `data` (object)

  - `data.audience_vendor_id` (integer)

  - `data.created_by` (integer)

  - `data.created_on` (string)

  - `data.is_clearing_house` (boolean)

  - `data.name` (string)

  - `data.permissions` (object)

  - `data.permissions.advertisers` (array)

  - `data.permissions.agencies` (array)

  - `data.permissions.organizations` (array)

  - `data.revenue_share_pct` (number)

  - `data.taxonomy` (object)

  - `data.taxonomy.children` (array)

  - `data.taxonomy.children.buyable` (boolean)

  - `data.taxonomy.children.children` (array)

  - `data.taxonomy.children.children.buyable` (boolean)

  - `data.taxonomy.children.children.children` (array)

  - `data.taxonomy.children.children.children.buyable` (boolean)

  - `data.taxonomy.children.children.children.children` (array)

  - `data.taxonomy.children.children.children.children.buyable` (boolean)

  - `data.taxonomy.children.children.children.children.children` (array)

  - `data.taxonomy.children.children.children.children.code` (string)

  - `data.taxonomy.children.children.children.children.description` (string)

  - `data.taxonomy.children.children.children.children.id` (integer)

  - `data.taxonomy.children.children.children.children.name` (string)

  - `data.taxonomy.children.children.children.children.retail_cpm` (number)

  - `data.taxonomy.children.children.children.children.uniques` (integer)

  - `data.taxonomy.children.children.children.children.wholesale_cpm` (integer)

  - `data.taxonomy.children.children.children.code` (string)

  - `data.taxonomy.children.children.children.description` (string)

  - `data.taxonomy.children.children.children.id` (integer)

  - `data.taxonomy.children.children.children.name` (string)

  - `data.taxonomy.children.children.children.retail_cpm` (number)

  - `data.taxonomy.children.children.children.uniques` (integer)

  - `data.taxonomy.children.children.children.wholesale_cpm` (integer)

  - `data.taxonomy.children.children.code` (string)

  - `data.taxonomy.children.children.description` (string)

  - `data.taxonomy.children.children.id` (integer)

  - `data.taxonomy.children.children.name` (string)

  - `data.taxonomy.children.children.retail_cpm` (number)

  - `data.taxonomy.children.children.uniques` (integer)

  - `data.taxonomy.children.children.wholesale_cpm` (integer)

  - `data.taxonomy.children.code` (string)

  - `data.taxonomy.children.description` (string)

  - `data.taxonomy.children.id` (integer)

  - `data.taxonomy.children.name` (string)

  - `data.taxonomy.children.retail_cpm` (number)

  - `data.taxonomy.children.uniques` (integer)

  - `data.taxonomy.children.wholesale_cpm` (number)

  - `data.taxonomy.id` (integer)

  - `data.taxonomy.name` (string)

  - `data.taxonomy_id` (integer)

  - `data.updated_by` (integer)

  - `data.updated_on` (string)

  - `data.visibility` (string)
    Enum: "GLOBAL", "RESTRICTED"

  - `meta` (object)

  - `meta.status` (string)

## Response 200 examples:

  - `response` (unknown)

